[arch-commits] Commit in pebrot/repos (3 files)

Eric Bélanger eric at archlinux.org
Thu Apr 16 22:34:10 EDT 2009


    Date: Thursday, April 16, 2009 @ 22:34:10
  Author: eric
Revision: 35769

Merged revisions 35759 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/pebrot/trunk

........
  r35759 | eric | 2009-04-16 22:05:11 -0400 (Thu, 16 Apr 2009) | 2 lines
  
  upgpkg: pebrot 0.8.9-2
      Added license, Added svn Id tag, Removed old patch
........

Modified:
  pebrot/repos/extra-i686/	(properties)
  pebrot/repos/extra-i686/PKGBUILD
Deleted:
  pebrot/repos/extra-i686/pebrot.patch

--------------+
 PKGBUILD     |   19 ++++++++++---------
 pebrot.patch |   11 -----------
 2 files changed, 10 insertions(+), 20 deletions(-)


Property changes on: pebrot/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /pebrot/trunk:1-27587
   + /pebrot/trunk:1-35768

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-17 02:26:16 UTC (rev 35768)
+++ extra-i686/PKGBUILD	2009-04-17 02:34:10 UTC (rev 35769)
@@ -1,20 +1,21 @@
-# Maintainer: Martin Lefebvre <dadexter at gmail.com>
+# $Id$
+# Contributor: Martin Lefebvre <dadexter at gmail.com>
 
 pkgname=pebrot
 pkgver=0.8.9
-pkgrel=1
+pkgrel=2
 pkgdesc="Pebrot is a text MSN messenger client implemented with Python."
 arch=(i686 x86_64)
 url="http://pebrot.sourceforge.net/"
+license=('GPL')
 depends=('python')
 source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=('a091be98cebde3de00c3dc23df066bac')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  python setup.py install --root=$startdir/pkg/
-  mkdir -p $startdir/pkg/etc
-  cp $startdir/src/$pkgname-$pkgver/pebrotrc $startdir/pkg/etc
-  mkdir -p $startdir/pkg/usr/share/pebrot
-  cp logos/*.txt $startdir/pkg/usr/share/pebrot
+  cd $srcdir/$pkgname-$pkgver
+  python setup.py install --root=$pkgdir || return 1
+  install -D -m644 pebrotrc $pkgdir/etc/pebrotrc
+  install -d $pkgdir/usr/share/pebrot
+  install -m644 logos/*.txt $pkgdir/usr/share/pebrot/
 }
-md5sums=('a091be98cebde3de00c3dc23df066bac')

Deleted: extra-i686/pebrot.patch
===================================================================
--- extra-i686/pebrot.patch	2009-04-17 02:26:16 UTC (rev 35768)
+++ extra-i686/pebrot.patch	2009-04-17 02:34:10 UTC (rev 35769)
@@ -1,11 +0,0 @@
---- src/pebrot-0.8.7/pypebrot/pebrot.orig	2005-07-25 07:40:43.000000000 -0400
-+++ src/pebrot-0.8.7/pypebrot/pebrot.py	2005-07-25 07:40:55.000000000 -0400
-@@ -1877,7 +1877,7 @@
-             print _('I can\'t find %s, so I will copy the supplied pebrotrc there.') \
-                 % CONFIG_FILE
-             raw_input( _('Press Enter to continue...') )
--            shutil.copyfile( sys.prefix + '/share/doc/pebrot/pebrotrc', CONFIG_FILE )
-+            shutil.copyfile( '/etc/pebrotrc', CONFIG_FILE )
-             #os.chmod( CONFIG_FILE, 0600 )
-             print _('Please edit %s and specify your login and password.') \
-                 % CONFIG_FILE



More information about the arch-commits mailing list